import { jsx } from "react/jsx-runtime";
import { TokenPROM as TokenPROM$1 } from "@web3icons/react";
import { forwardRef } from "react";
import { ExperimentalIcon } from "../experimental/Icon.js";
const TokenPROM = forwardRef(
  ({ variant = "mono", ...props }, ref) => {
    return /* @__PURE__ */ jsx(ExperimentalIcon, { ref, alt: "PROM", "data-name": "TokenPROM", ...props, children: /* @__PURE__ */ jsx(TokenPROM$1, { variant }) });
  }
);
TokenPROM.displayName = "TokenPROM";
Object.assign(TokenPROM, { isGdsIcon: true });
export {
  TokenPROM
};
